## junit.extensions
Class ActiveTestSuite

    java.lang.Object
      junit.framework.TestSuite
          junit.extensions.ActiveTestSuite

All Implemented Interfaces:
  Test

    public class ActiveTestSuite

extends TestSuite

A TestSuite for active Tests. It runs each test in a separate thread and waits until all threads have terminated. -- Aarhus Radisson Scandinavian Center 11th floor

Constructor Summary
`ActiveTestSuite()`
`ActiveTestSuite(Class<? extends TestCase> theClass)`
`ActiveTestSuite(Class<? extends TestCase> theClass, String name)`
`ActiveTestSuite(String name)`

Method Summary
`void` `run(TestResult result)` Runs the tests and collects their result in a TestResult.
`void` `runFinished()`
`void` `runTest(Test test, TestResult result)`

Methods inherited from class junit.framework.TestSuite
`addTest, addTestSuite, countTestCases, createTest, getName, getTestConstructor, setName, testAt, testCount, tests, toString, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActiveTestSuite

    public ActiveTestSuite()

### ActiveTestSuite

    public ActiveTestSuite(Class<? extends TestCase> theClass)

### ActiveTestSuite

    public ActiveTestSuite(String name)

### ActiveTestSuite

    public ActiveTestSuite(Class<? extends TestCase> theClass,
                           String name)

Method Detail

### run

    public void run(TestResult result)

  Description copied from class: `TestSuite`
  Runs the tests and collects their result in a TestResult.

  Specified by:
    `run` in interface `Test`
  Overrides:
    `run` in class `TestSuite`

### runTest

    public void runTest(Test test,
                        TestResult result)

  Overrides:
    `runTest` in class `TestSuite`

### runFinished

    public void runFinished()

Copyright © 2002–2020 JUnit. All rights reserved.